uuid: 186ec7c8-af28-4dcd-a773-754d8c07e1da
langcode: en
status: true
dependencies:
  config:
    - filter.format.rich_text
  module:
    - ckeditor5
format: rich_text
editor: ckeditor5
settings:
  toolbar:
    items:
      - bold
      - italic
      - strikethrough
      - superscript
      - subscript
      - removeFormat
      - '|'
      - link
      - '|'
      - bulletedList
      - numberedList
      - '|'
      - blockQuote
      - drupalInsertImage
      - insertTable
      - horizontalLine
      - media_browser
      - drupalMedia
      - '|'
      - heading
      - '|'
      - sourceEditing
      - '|'
      - code
      - codeBlock
  plugins:
    ckeditor5_codeBlock:
      languages:
        -
          label: 'Plain text'
          language: plaintext
        -
          label: C
          language: c
        -
          label: 'C#'
          language: cs
        -
          label: C++
          language: cpp
        -
          label: CSS
          language: css
        -
          label: Diff
          language: diff
        -
          label: HTML
          language: html
        -
          label: Java
          language: java
        -
          label: JavaScript
          language: javascript
        -
          label: PHP
          language: php
        -
          label: Python
          language: python
        -
          label: Ruby
          language: ruby
        -
          label: TypeScript
          language: typescript
        -
          label: XML
          language: xml
    ckeditor5_heading:
      enabled_headings:
        - heading1
        - heading2
        - heading3
        - heading4
        - heading5
        - heading6
    ckeditor5_imageResize:
      allow_resize: true
    ckeditor5_list:
      properties:
        reversed: false
        startIndex: true
      multiBlock: true
    ckeditor5_sourceEditing:
      allowed_tags:
        - '<cite>'
        - '<dl>'
        - '<dt>'
        - '<dd>'
        - '<a hreflang>'
        - '<blockquote cite>'
        - '<ul type>'
        - '<ol type>'
        - '<h2 id>'
        - '<h3 id>'
        - '<h4 id>'
        - '<h5 id>'
        - '<h6 id>'
        - '<drupal-entity data-entity-type data-embed-button>'
        - '<drupal-media title>'
    editor_advanced_link_link:
      enabled_attributes:
        - class
        - id
        - target
    linkit_extension:
      linkit_enabled: true
      linkit_profile: default
    media_media:
      allow_view_mode_override: false
image_upload:
  status: true
  scheme: public
  directory: inline-images
  max_size: ''
  max_dimensions:
    width: 0
    height: 0
